SocketFactory (Apache Geode 1.12.3)
Date: 2021-06-11

org.apache.geode.experimental.driver

## Class SocketFactory

- java.lang.Object
- - org.apache.geode.experimental.driver.SocketFactory

-     public class SocketFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `connect()`
    `String` | `getCiphers()`
    `InetAddress` | `getHost()`
    `String` | `getKeyStorePath()`
    `int` | `getPort()`
    `String` | `getProtocols()`
    `int` | `getTimeout()`
    `String` | `getTrustStorePath()`
    `boolean` | `isSsl()`
    `SocketFactory` | `setCiphers(String ciphers)`
    `SocketFactory` | `setHost(InetAddress host)`
    `SocketFactory` | `setKeyStorePath(String keyStorePath)`
    `SocketFactory` | `setPort(int port)`
    `SocketFactory` | `setProtocols(String protocols)`
    `SocketFactory` | `setTimeout(int timeout)`
    `SocketFactory` | `setTrustStorePath(String trustStorePath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketFactory

          public SocketFactory()

  - ### Method Detail

    - #### getHost

          public InetAddress getHost()

    - #### setHost

          public SocketFactory setHost(InetAddress host)

    - #### getPort

          public int getPort()

    - #### setPort

          public SocketFactory setPort(int port)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public SocketFactory setTimeout(int timeout)

    - #### getKeyStorePath

          public String getKeyStorePath()

    - #### setKeyStorePath

          public SocketFactory setKeyStorePath(String keyStorePath)

    - #### getTrustStorePath

          public String getTrustStorePath()

    - #### setTrustStorePath

          public SocketFactory setTrustStorePath(String trustStorePath)

    - #### getProtocols

          public String getProtocols()

    - #### setProtocols

          public SocketFactory setProtocols(String protocols)

    - #### getCiphers

          public String getCiphers()

    - #### setCiphers

          public SocketFactory setCiphers(String ciphers)

    - #### isSsl

          public boolean isSsl()

    - #### connect

          public Socket connect()
                         throws GeneralSecurityException,
                                IOException

      Throws:
        `GeneralSecurityException`
        `IOException`